singleton Material(sunburst)
{
   mapTo = "sunburst";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "0.0 0.1 0.8 0.65";
   specularPower[0] = "16";
   specularPower[1] = "16";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   beamngDiffuseColorSlot = 1;
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(sunburst_lights)
{
   mapTo = "sunburst_lights";
   diffuseMap[1] = "vehicles/sunburst/sunburst_lights_d.dds";
   specularMap[1] = "vehicles/sunburst/sunburst_lights_s.dds";
   normalMap[1] = "vehicles/sunburst/sunburst_lights_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/sunburst/sunburst_lights_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   diffuseColor[1] = "1.5 1.5 1.5 1";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};
singleton Material(sunburst_lights_on)
{
   mapTo = "sunburst_lights_on";
   diffuseMap[2] = "vehicles/sunburst/sunburst_lights_g.dds";
   specularMap[2] = "vehicles/sunburst/sunburst_lights_s.dds";
   normalMap[2] = "vehicles/sunburst/sunburst_lights_n.dds";
   diffuseMap[1] = "vehicles/sunburst/sunburst_lights_d.dds";
   specularMap[1] = "vehicles/sunburst/sunburst_lights_s.dds";
   normalMap[1] = "vehicles/sunburst/sunburst_lights_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/sunburst/sunburst_lights_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1.5 1.5 1.5 1";
   diffuseColor[2] = "1.5 1.5 1.5 0.12";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   glow[2] = "1";
   emissive[2] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(sunburst_lights_on_intense)
{
   mapTo = "sunburst_lights_on_intense";
   diffuseMap[2] = "vehicles/sunburst/sunburst_lights_g.dds";
   specularMap[2] = "vehicles/sunburst/sunburst_lights_s.dds";
   normalMap[2] = "vehicles/sunburst/sunburst_lights_n.dds";
   diffuseMap[1] = "vehicles/sunburst/sunburst_lights_d.dds";
   specularMap[1] = "vehicles/sunburst/sunburst_lights_s.dds";
   normalMap[1] = "vehicles/sunburst/sunburst_lights_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/sunburst/sunburst_lights_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1.5 1.5 1.5 1";
   diffuseColor[2] = "1.5 1.5 1.5 0.20";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   glow[2] = "1";
   emissive[2] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(sunburst_lights_dmg)
{
   mapTo = "sunburst_lights_dmg";
   diffuseMap[1] = "vehicles/sunburst/sunburst_lights_dmg_d.dds";
   specularMap[1] = "vehicles/sunburst/sunburst_lights_dmg_s.dds";
   normalMap[1] = "vehicles/sunburst/sunburst_lights_dmg_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/sunburst/sunburst_lights_dmg_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   diffuseColor[1] = "1.5 1.5 1.5 1";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(sunburst_glass)
{
   mapTo = "sunburst_glass";
   diffuseMap[0] = "vehicles/sunburst/sunburst_glass_d.dds";
   specularMap[0] = "vehicles/sunburst/sunburst_glass_s.dds";
   diffuseMap[1] = "vehicles/sunburst/sunburst_glass_da.dds";
   specularMap[1] = "vehicles/sunburst/sunburst_glass_s.dds";
   specularPower[0] = "128";
   pixelSpecular[0] = "1";
   specularPower[1] = "128";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "0";
   translucent = "1";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(sunburst_glass_dmg)
{
   mapTo = "sunburst_glass_dmg";
   diffuseMap[0] = "vehicles/sunburst/sunburst_glass_dmg_d.dds";
   specularMap[0] = "vehicles/common/glass_dmg_s.dds";
   normalMap[0] = "vehicles/common/glass_dmg_n.dds";
   specularPower[0] = "32";
   diffuseColor[0] = "1.5 1.5 1.5 1";
   useAnisotropic[0] = "1";
   castShadows = "0";
   translucent = "1";
   alphaTest = "1";
   alphaRef = "0";
   //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(sunburst_lettering)
{
   mapTo = "sunburst_lettering";
   diffuseMap[0] = "vehicles/sunburst/sunburst_lettering_o.dds";
   specularMap[0] = "vehicles/sunburst/sunburst_lettering_s.dds";
   normalMap[0] = "vehicles/sunburst/sunburst_lettering_n.dds";
   diffuseMap[1] = "vehicles/sunburst/sunburst_lettering_d.dds";
   specularMap[1] = "vehicles/sunburst/sunburst_lettering_s.dds";
   normalMap[1] = "vehicles/sunburst/sunburst_lettering_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1.3 1.3 1.3 0.6";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "0";
   translucent = "1";
   //translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
   //translucentZWrite = "1";
};

singleton Material(sunburst_gray)
{
   mapTo = "sunburst_gray";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "0.15 0.15 0.15 0.6";
   specularPower[0] = "16";
   specularPower[1] = "16";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(sunburst_black)
{
   mapTo = "sunburst_black";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "0.15 0.15 0.15 0.9";
   specularPower[0] = "16";
   specularPower[1] = "16";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(sunburst_chrome)
{
   mapTo = "sunburst_chrome";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "0.5 0.5 0.5 0.05";
   specularPower[0] = "16";
   specularPower[1] = "16";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};
